﻿using IRaCIS.Core.Domain.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IRaCIS.Core.Domain.FileRecord
{
    public enum ArchiveType
    {
        //报告
        Report = 1,

        //文档
        Doc = 2,

        //记录
        Record = 3
    }

    [Comment("后台 - 系统文件记录表")]
    [Table("SysFileRecord")]
    public class SysFileRecord : BaseFullAuditEntity
    {
        [Comment("关联系统文件类型")]
        public  Guid SysFileTypeId { get; set; }


        public string FileName { get; set; }

        [StringLength(1000)]
        public string FilePath { get; set; }

        public string FileSize { get; set; }

        public string FileFormat { get; set; }

    }

    [Comment("后台 - 系统文件类型表")]
    [Table("SysFileType")]
    public class SysFileType : BaseFullAuditEntity
    {

        [Comment("报告、文档、记录")]
        public ArchiveType ArchiveTypeEnum { get; set; }

        public string Name { get; set; }

        public string NameCN { get; set; }

        [Comment("子类标识，是取那个表的数据")]
        public int SubIdentification { get; set; }

    }

    [Comment("项目文件 - 文件类型表")]
    [Table("TrialFileType")]
    public class TrialFileType : BaseFullAuditEntity
    {

        public Guid TrialId { get; set; }

        [Comment("报告、文档、记录")]
        public ArchiveType ArchiveTypeEnum { get; set; }

        public string Name { get; set; }

        public string NameCN { get; set; }

        [Comment("是否确认收入项")]
        public bool IsConfirmRecord { get; set; }


        [Comment("首次定稿日期")]
        public DateOnly FirstFinalDate { get; set; }

        [Comment("是否自定义")]
        public bool IsSelfDefine { get; set; }


        [Comment("子类标识，是取那个表的数据")]
        public int SubIdentification { get; set; }

        [Comment("启动会日期")]
        public DateOnly? StartupDate { get; set; }

    }
}
